{% include './header.html' %}

<div class="container">
    <div id="welcome"><p>This service detects topics in unseen documents. Therefore you need to specify the corpus
        from a list of given corpora, provide a text and define how many topics you want to have detected in that given text.
        </p>

        <h4>Example</h4>
        <p>Corpus: <strong>bbc</strong></p>
        <p>Number of topics: <strong>1</strong></p>
        <p>Text: <i>Bangkok (Thailand), 12.11.2011 – Das Rekordhochwasser,
            das seit mehreren Monaten in Thailand herrscht und in den beiden letzten Wochen
            Teile der Hauptstadt Bangkok überschwemmt hatte, weicht langsam zurück.
            Es soll noch mindestens zehn Tage dauern, bis der Großteil des Wassers abgelaufen ist.
            Gleichzeitig steigt die Gefahr, dass in den Hochwassergebieten Seuchen ausbrechen können.
            Einige Staaten, darunter Australien, haben Reisewarnungen herausgegeben.
            Mindestens 529 Menschen sind in den Fluten ertrunken, die Ende Juli begonnen hatten,
            als die Ausläufer eines tropischen Sturmes im Norden und Nordosten Thailands
            zu erheblichen Starkregenfällen führten.</i>
        </p>
      </div>


    <form id="form_user_input" method="post" action="">
        <div class="form-group">
            <label>Choose corpus:</label>
            <select class="form-control" id="corpus" name="corpus">
            </select>
        </div>
        <div class="form-group">
            <label>Number of topics to be returned:</label>
            <select class="form-control" id="num_topics" name="num_topics">
                <option>1</option>
                <option>2</option>
                <option>3</option>
                <option>4</option>
                <option>5</option>
            </select>
        </div>
      <div class="form-group">
        <label>Document text:</label>
        <textarea class="form-control" id="doc" rows="10" name="doc"></textarea>
      </div>
        <input type="submit" class="btn btn-primary" style="background-color:#0000ff; margin-top: 10px" value="Send">
    </form>


    <div id="result"></div>
</div>

{% include './footer.html' %}


<script>

// document loaded: append corpora list to div with id="list_corpora"
// get corpora list via ajax and append it
  $.ajax({
    url: "/pub/srv-topic-detection/corpora/",
    type: 'GET',
    contentType: 'text/plain',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        $.each(data, function(i) {
            $("#corpus").append('<option class="corpus-item">'+data[i]+'</option>');
        });
    }
  });

// Attach a submit handler to the form
$( "#form_user_input" ).submit(function( event ) {

  // Stop form from submitting normally
  event.preventDefault();

  // Get form field value
  var corpus = $("#corpus").val();
  var num_topic = $("#num_topic").val();
  var doc = $("#doc").val();

  // clear form field
  $("#doc").val("");

  // clear result div
  $("#result").html("");

  // Send the data using ajax
  $.ajax({
    url: "/pub/srv-topic-detection/topics/",
    type: 'POST',
    /*data: {
        "corpus": corpus,
        "num_topics": num_topics,
        "doc": doc
    },*/
    contentType: 'text/plain',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        console.log('Success!');
        //$( "#result" ).append( '<p class="alert alert-info" style="margin-top: 10px;">' + data + '</p>');
    }
  });

});

</script>

</body>

</html>
